/*
 * aux_dep.h
 *
 *  Created on: 2 de out de 2018
 *      Author: arne_
 */

#ifndef AUX_DEP_H_
#define AUX_DEP_H_

#ifdef __cplusplus
extern "C" {
#endif

//******************************************************************************
// Arquivos includos no mdulo
//******************************************************************************
#include "stm32f10x.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

//**********************************************************************
// Definies do mdulo
//**********************************************************************
#ifndef byte
#define byte unsigned char
#endif

#ifndef uint16
#define uint16 uint16_t
#endif

#ifndef CRC_POLY_CCITT
#define CRC_POLY_CCITT          0x1021  //polinominal do CCITT
#endif

#ifndef CRC_START_CCITT_FFFF
#define	CRC_START_CCITT_FFFF	0xFFFF  //
#endif


//**********************************************************************
// Variveis do mdulo
//**********************************************************************
//static uint16    crc_tabccitt[256];         //tabela para calculo
//static byte      crc_tabccitt_init = 0;     //tabela ainda no gerada

//******************************************************************************
// Declara funes do mdulo
//******************************************************************************
//void init_crcccitt_tab( void );
//uint16 crc_ccitt_generic(byte *input_str, uint16 num_bytes, uint16 start_value);
void bin_hex(byte binchar, byte *high_char, byte *low_char);
void hex_to_ascii(byte hex_ascii, byte *high_char, byte *low_char);


#ifdef __cplusplus
}
#endif

#endif /* AUX_DEP_H_ */
